import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'dictType' },
})
export class DictType extends BaseModel {
  @prop({ required: false, index: true, zh: '名称' })
  title: string;
  @prop({ required: false, index: true, zh: '类型' })
  type: string;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
  @prop({
    required: false,
    index: true,
    zh: '是否启用',
    remark: '字典表:is_use',
    default: '0',
  })
  is_use: string;
}
