import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'module' },
})
export class Module extends BaseModel {
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: false, zh: '图片' })
  url: Array<any>;
  @prop({ required: false, index: true, zh: '排序' })
  sort: number;
  @prop({ required: false, index: false, zh: '类型' })
  type: string;
  @prop({ required: false, index: false, zh: '路由' })
  route: string;
  @prop({
    required: false,
    index: true,
    zh: '是否启用',
    remark: '字典表:is_use',
    default: '0',
  })
  is_use: string;
}
