import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'opinion' },
})
export class Opinion extends BaseModel {
  @prop({ required: false, index: true, zh: '用户', ref: 'user' })
  user: string;
  @prop({ required: false, index: true, zh: '手机号' })
  phone: string;
  @prop({ required: false, index: false, zh: '图片' })
  file: Array<any>;
  @prop({ required: false, index: false, zh: '内容' })
  content: string;
}
