import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'userCoupon' },
})
export class UserCoupon extends BaseModel {
  @prop({ required: false, index: true, zh: '用户' })
  user: string;
  @prop({ required: false, index: true, zh: '类型' })
  type: string;
  @prop({ required: false, index: false, zh: '过期时间' })
  time: string;
  @prop({ required: false, index: true, zh: '优惠卷', ref: 'coupon' })
  coupon: string;
  @prop({ required: false, index: true, zh: '是否使用' })
  is_use: string;
}
