import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Activity } from '../entity/activity.entity';
type modelType = ReturnModelType<typeof Activity>;
@Provide()
export class ActivityService extends BaseService<modelType> {
  @InjectEntityModel(Activity)
  model: modelType;
}
