import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Media } from '../entity/media.entity';
type modelType = ReturnModelType<typeof Media>;
@Provide()
export class MediaService extends BaseService<modelType> {
  @InjectEntityModel(Media)
  model: modelType;
}
