import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Opinion } from '../entity/opinion.entity';
type modelType = ReturnModelType<typeof Opinion>;
@Provide()
export class OpinionService extends BaseService<modelType> {
  @InjectEntityModel(Opinion)
  model: modelType;
}
