import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Region } from '../entity/region.entity';
type modelType = ReturnModelType<typeof Region>;
@Provide()
export class RegionService extends BaseService<modelType> {
  @InjectEntityModel(Region)
  model: modelType;
}
