import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Advert } from '../entity/advert.entity';
type modelType = ReturnModelType<typeof Advert>;
@Provide()
export class AdvertService extends BaseService<modelType> {
  @InjectEntityModel(Advert)
  model: modelType;
}
