import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Comment } from '../entity/comment.entity';
type modelType = ReturnModelType<typeof Comment>;
@Provide()
export class CommentService extends BaseService<modelType> {
  @InjectEntityModel(Comment)
  model: modelType;

  // 一键审核通过
  async exam() {
    const result = await this.model.find({ status: '0' }).lean();
    const comment = result.map(i => {
      return i._id;
    });
    for (const val of comment) {
      await this.model.updateOne({ _id: val }, { status: '1' });
    }
    return 'ok';
  }
}
