import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Map } from '../entity/map.entity';
type modelType = ReturnModelType<typeof Map>;
@Provide()
export class MapService extends BaseService<modelType> {
  @InjectEntityModel(Map)
  model: modelType;
}
