import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Problem } from '../entity/problem.entity';
type modelType = ReturnModelType<typeof Problem>;
@Provide()
export class ProblemService extends BaseService<modelType> {
  @InjectEntityModel(Problem)
  model: modelType;
}
