import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Room } from '../entity/room.entity';
type modelType = ReturnModelType<typeof Room>;
@Provide()
export class RoomService extends BaseService<modelType> {
  @InjectEntityModel(Room)
  model: modelType;
}
